Package org.apache.sling.scripting.sightly.impl.parser.expr.generated

## Interface SightlyParserListener

All Superinterfaces:
  `org.antlr.v4.runtime.tree.ParseTreeListener`

All Known Implementing Classes:
  `SightlyParserBaseListener`

    public interface SightlyParserListener
    extends org.antlr.v4.runtime.tree.ParseTreeListener

This interface defines a complete listener for a parse tree produced by `SightlyParser`.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `enterAndBinaryOp​(SightlyParser.AndBinaryOpContext ctx)` Enter a parse tree produced by `SightlyParser.andBinaryOp()`.
`void` `enterAtom​(SightlyParser.AtomContext ctx)` Enter a parse tree produced by `SightlyParser.atom()`.
`void` `enterComparisonOp​(SightlyParser.ComparisonOpContext ctx)` Enter a parse tree produced by `SightlyParser.comparisonOp()`.
`void` `enterComparisonTerm​(SightlyParser.ComparisonTermContext ctx)` Enter a parse tree produced by `SightlyParser.comparisonTerm()`.
`void` `enterExpression​(SightlyParser.ExpressionContext ctx)` Enter a parse tree produced by `SightlyParser.expression()`.
`void` `enterExprNode​(SightlyParser.ExprNodeContext ctx)` Enter a parse tree produced by `SightlyParser.exprNode()`.
`void` `enterFactor​(SightlyParser.FactorContext ctx)` Enter a parse tree produced by `SightlyParser.factor()`.
`void` `enterField​(SightlyParser.FieldContext ctx)` Enter a parse tree produced by `SightlyParser.field()`.
`void` `enterInBinaryOp​(SightlyParser.InBinaryOpContext ctx)` Enter a parse tree produced by `SightlyParser.inBinaryOp()`.
`void` `enterInterpolation​(SightlyParser.InterpolationContext ctx)` Enter a parse tree produced by `SightlyParser.interpolation()`.
`void` `enterOption​(SightlyParser.OptionContext ctx)` Enter a parse tree produced by `SightlyParser.option()`.
`void` `enterOptionList​(SightlyParser.OptionListContext ctx)` Enter a parse tree produced by `SightlyParser.optionList()`.
`void` `enterOrBinaryOp​(SightlyParser.OrBinaryOpContext ctx)` Enter a parse tree produced by `SightlyParser.orBinaryOp()`.
`void` `enterSimple​(SightlyParser.SimpleContext ctx)` Enter a parse tree produced by `SightlyParser.simple()`.
`void` `enterStringConst​(SightlyParser.StringConstContext ctx)` Enter a parse tree produced by `SightlyParser.stringConst()`.
`void` `enterTerm​(SightlyParser.TermContext ctx)` Enter a parse tree produced by `SightlyParser.term()`.
`void` `enterTextFrag​(SightlyParser.TextFragContext ctx)` Enter a parse tree produced by `SightlyParser.textFrag()`.
`void` `enterValueList​(SightlyParser.ValueListContext ctx)` Enter a parse tree produced by `SightlyParser.valueList()`.
`void` `exitAndBinaryOp​(SightlyParser.AndBinaryOpContext ctx)` Exit a parse tree produced by `SightlyParser.andBinaryOp()`.
`void` `exitAtom​(SightlyParser.AtomContext ctx)` Exit a parse tree produced by `SightlyParser.atom()`.
`void` `exitComparisonOp​(SightlyParser.ComparisonOpContext ctx)` Exit a parse tree produced by `SightlyParser.comparisonOp()`.
`void` `exitComparisonTerm​(SightlyParser.ComparisonTermContext ctx)` Exit a parse tree produced by `SightlyParser.comparisonTerm()`.
`void` `exitExpression​(SightlyParser.ExpressionContext ctx)` Exit a parse tree produced by `SightlyParser.expression()`.
`void` `exitExprNode​(SightlyParser.ExprNodeContext ctx)` Exit a parse tree produced by `SightlyParser.exprNode()`.
`void` `exitFactor​(SightlyParser.FactorContext ctx)` Exit a parse tree produced by `SightlyParser.factor()`.
`void` `exitField​(SightlyParser.FieldContext ctx)` Exit a parse tree produced by `SightlyParser.field()`.
`void` `exitInBinaryOp​(SightlyParser.InBinaryOpContext ctx)` Exit a parse tree produced by `SightlyParser.inBinaryOp()`.
`void` `exitInterpolation​(SightlyParser.InterpolationContext ctx)` Exit a parse tree produced by `SightlyParser.interpolation()`.
`void` `exitOption​(SightlyParser.OptionContext ctx)` Exit a parse tree produced by `SightlyParser.option()`.
`void` `exitOptionList​(SightlyParser.OptionListContext ctx)` Exit a parse tree produced by `SightlyParser.optionList()`.
`void` `exitOrBinaryOp​(SightlyParser.OrBinaryOpContext ctx)` Exit a parse tree produced by `SightlyParser.orBinaryOp()`.
`void` `exitSimple​(SightlyParser.SimpleContext ctx)` Exit a parse tree produced by `SightlyParser.simple()`.
`void` `exitStringConst​(SightlyParser.StringConstContext ctx)` Exit a parse tree produced by `SightlyParser.stringConst()`.
`void` `exitTerm​(SightlyParser.TermContext ctx)` Exit a parse tree produced by `SightlyParser.term()`.
`void` `exitTextFrag​(SightlyParser.TextFragContext ctx)` Exit a parse tree produced by `SightlyParser.textFrag()`.
`void` `exitValueList​(SightlyParser.ValueListContext ctx)` Exit a parse tree produced by `SightlyParser.valueList()`.

### Methods inherited from interface org.antlr.v4.runtime.tree.ParseTreeListener

`enterEveryRule, exitEveryRule, visitErrorNode, visitTerminal`

### Method Detail

#### enterInterpolation

    void enterInterpolation​(SightlyParser.InterpolationContext ctx)

Enter a parse tree produced by `SightlyParser.interpolation()`.

Parameters:
  `ctx` - the parse tree

#### exitInterpolation

    void exitInterpolation​(SightlyParser.InterpolationContext ctx)

Exit a parse tree produced by `SightlyParser.interpolation()`.

Parameters:
  `ctx` - the parse tree

#### enterTextFrag

    void enterTextFrag​(SightlyParser.TextFragContext ctx)

Enter a parse tree produced by `SightlyParser.textFrag()`.

Parameters:
  `ctx` - the parse tree

#### exitTextFrag

    void exitTextFrag​(SightlyParser.TextFragContext ctx)

Exit a parse tree produced by `SightlyParser.textFrag()`.

Parameters:
  `ctx` - the parse tree

#### enterExpression

    void enterExpression​(SightlyParser.ExpressionContext ctx)

Enter a parse tree produced by `SightlyParser.expression()`.

Parameters:
  `ctx` - the parse tree

#### exitExpression

    void exitExpression​(SightlyParser.ExpressionContext ctx)

Exit a parse tree produced by `SightlyParser.expression()`.

Parameters:
  `ctx` - the parse tree

#### enterOptionList

    void enterOptionList​(SightlyParser.OptionListContext ctx)

Enter a parse tree produced by `SightlyParser.optionList()`.

Parameters:
  `ctx` - the parse tree

#### exitOptionList

    void exitOptionList​(SightlyParser.OptionListContext ctx)

Exit a parse tree produced by `SightlyParser.optionList()`.

Parameters:
  `ctx` - the parse tree

#### enterOption

    void enterOption​(SightlyParser.OptionContext ctx)

Enter a parse tree produced by `SightlyParser.option()`.

Parameters:
  `ctx` - the parse tree

#### exitOption

    void exitOption​(SightlyParser.OptionContext ctx)

Exit a parse tree produced by `SightlyParser.option()`.

Parameters:
  `ctx` - the parse tree

#### enterExprNode

    void enterExprNode​(SightlyParser.ExprNodeContext ctx)

Enter a parse tree produced by `SightlyParser.exprNode()`.

Parameters:
  `ctx` - the parse tree

#### exitExprNode

    void exitExprNode​(SightlyParser.ExprNodeContext ctx)

Exit a parse tree produced by `SightlyParser.exprNode()`.

Parameters:
  `ctx` - the parse tree

#### enterOrBinaryOp

    void enterOrBinaryOp​(SightlyParser.OrBinaryOpContext ctx)

Enter a parse tree produced by `SightlyParser.orBinaryOp()`.

Parameters:
  `ctx` - the parse tree

#### exitOrBinaryOp

    void exitOrBinaryOp​(SightlyParser.OrBinaryOpContext ctx)

Exit a parse tree produced by `SightlyParser.orBinaryOp()`.

Parameters:
  `ctx` - the parse tree

#### enterAndBinaryOp

    void enterAndBinaryOp​(SightlyParser.AndBinaryOpContext ctx)

Enter a parse tree produced by `SightlyParser.andBinaryOp()`.

Parameters:
  `ctx` - the parse tree

#### exitAndBinaryOp

    void exitAndBinaryOp​(SightlyParser.AndBinaryOpContext ctx)

Exit a parse tree produced by `SightlyParser.andBinaryOp()`.

Parameters:
  `ctx` - the parse tree

#### enterInBinaryOp

    void enterInBinaryOp​(SightlyParser.InBinaryOpContext ctx)

Enter a parse tree produced by `SightlyParser.inBinaryOp()`.

Parameters:
  `ctx` - the parse tree

#### exitInBinaryOp

    void exitInBinaryOp​(SightlyParser.InBinaryOpContext ctx)

Exit a parse tree produced by `SightlyParser.inBinaryOp()`.

Parameters:
  `ctx` - the parse tree

#### enterComparisonTerm

    void enterComparisonTerm​(SightlyParser.ComparisonTermContext ctx)

Enter a parse tree produced by `SightlyParser.comparisonTerm()`.

Parameters:
  `ctx` - the parse tree

#### exitComparisonTerm

    void exitComparisonTerm​(SightlyParser.ComparisonTermContext ctx)

Exit a parse tree produced by `SightlyParser.comparisonTerm()`.

Parameters:
  `ctx` - the parse tree

#### enterComparisonOp

    void enterComparisonOp​(SightlyParser.ComparisonOpContext ctx)

Enter a parse tree produced by `SightlyParser.comparisonOp()`.

Parameters:
  `ctx` - the parse tree

#### exitComparisonOp

    void exitComparisonOp​(SightlyParser.ComparisonOpContext ctx)

Exit a parse tree produced by `SightlyParser.comparisonOp()`.

Parameters:
  `ctx` - the parse tree

#### enterFactor

    void enterFactor​(SightlyParser.FactorContext ctx)

Enter a parse tree produced by `SightlyParser.factor()`.

Parameters:
  `ctx` - the parse tree

#### exitFactor

    void exitFactor​(SightlyParser.FactorContext ctx)

Exit a parse tree produced by `SightlyParser.factor()`.

Parameters:
  `ctx` - the parse tree

#### enterTerm

    void enterTerm​(SightlyParser.TermContext ctx)

Enter a parse tree produced by `SightlyParser.term()`.

Parameters:
  `ctx` - the parse tree

#### exitTerm

    void exitTerm​(SightlyParser.TermContext ctx)

Exit a parse tree produced by `SightlyParser.term()`.

Parameters:
  `ctx` - the parse tree

#### enterField

    void enterField​(SightlyParser.FieldContext ctx)

Enter a parse tree produced by `SightlyParser.field()`.

Parameters:
  `ctx` - the parse tree

#### exitField

    void exitField​(SightlyParser.FieldContext ctx)

Exit a parse tree produced by `SightlyParser.field()`.

Parameters:
  `ctx` - the parse tree

#### enterSimple

    void enterSimple​(SightlyParser.SimpleContext ctx)

Enter a parse tree produced by `SightlyParser.simple()`.

Parameters:
  `ctx` - the parse tree

#### exitSimple

    void exitSimple​(SightlyParser.SimpleContext ctx)

Exit a parse tree produced by `SightlyParser.simple()`.

Parameters:
  `ctx` - the parse tree

#### enterValueList

    void enterValueList​(SightlyParser.ValueListContext ctx)

Enter a parse tree produced by `SightlyParser.valueList()`.

Parameters:
  `ctx` - the parse tree

#### exitValueList

    void exitValueList​(SightlyParser.ValueListContext ctx)

Exit a parse tree produced by `SightlyParser.valueList()`.

Parameters:
  `ctx` - the parse tree

#### enterAtom

    void enterAtom​(SightlyParser.AtomContext ctx)

Enter a parse tree produced by `SightlyParser.atom()`.

Parameters:
  `ctx` - the parse tree

#### exitAtom

    void exitAtom​(SightlyParser.AtomContext ctx)

Exit a parse tree produced by `SightlyParser.atom()`.

Parameters:
  `ctx` - the parse tree

#### enterStringConst

    void enterStringConst​(SightlyParser.StringConstContext ctx)

Enter a parse tree produced by `SightlyParser.stringConst()`.

Parameters:
  `ctx` - the parse tree

#### exitStringConst

    void exitStringConst​(SightlyParser.StringConstContext ctx)

Exit a parse tree produced by `SightlyParser.stringConst()`.

Parameters:
  `ctx` - the parse tree